### Name: drawPedigree
### Title: Produce a graphical representation of a pedigree
### Aliases: drawPedigree
### Keywords: hplot

### ** Examples

data(gryphons)
pedigree<-fixPedigree(gryphons[,1:3])

## draw the gryphon pedigree by pedigree depth
drawPedigree(pedigree)

## draw the gryphon pedigree by cohort
drawPedigree(pedigree,cohorts=gryphons$cohort,writeCohortLabels='y',
                                                   cohortLabs.cex=1)

## draw the gryphon pedigree by cohort with only maternal links
drawPedigree(pedigree,cohorts=gryphons$cohort,links='mums')

## draw the gryphon pedigree by cohort with colour only for those
## indiduals that are informative relative to the quantitative
## genetics of a hypothetical trait only measured for individuals
## in the last two cohorts, emphasize the phenotyped individuals
## with large black dots, and all other individuals with dots 
## colour coded by sex:
dataAvailability<-(gryphons$cohort>=(max(gryphons$cohort)-1))+0
drawPedigree(pedigree,cohorts=gryphons$cohort,sex=gryphons$sex,
   dots='y',dat=dataAvailability,writeCohortLabels='y',dataDots='y')




